#
# spec file for package package-lists-openSUSE-images
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Url:            http://en.opensuse.org/Patterns

Name:           package-lists-openSUSE-images
Summary:        Patterns for Installation (full ftp tree)
License:        BSD-3-Clause
Group:          Metapackages
Version:        42.1
Release:        72.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source1:        list-requires
ExclusiveArch:  x86_64

Source100:      gnome_cd-default.x86_64.list
Source101:      gnome_cd-x11-default.x86_64.list
Source102:      kde4_cd-base-default.x86_64.list
Source103:      kde4_cd-default.x86_64.list

%define __find_requires perl %{S:1}
%define _use_internal_dependency_generator 0

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/suse/packages
for i in %{S:100} %{S:101} %{S:102} %{S:103}; do 
   install -m 644 $i $RPM_BUILD_ROOT/usr/share/suse/packages
done

%files
%defattr(-,root,root)
%dir /usr/share/suse
%dir /usr/share/suse/packages
/usr/share/suse/packages/*-default*.list

%changelog
* Tue Sep  8 2015 dimstar@opensuse.org
- Adjust logic for Leap 42.1
* Fri Aug 28 2015 fcrozat@suse.com
- Update script for SP1
- resync
* Thu Jul 30 2015 fcrozat@suse.com
- Resync.
* Fri Sep  5 2014 fcrozat@suse.com
- Resync.
* Tue Aug 12 2014 fcrozat@suse.com
- gnome-menus-branding-SLED is now gnome-menus-branding-SLE.
* Wed Jul  9 2014 fcrozat@suse.com
- Blacklist sled-manuals_en, desktop-data-SLE-extra,
  xorg-x11-fonts, manufacturer-PPDs
* Tue Jul  8 2014 fcrozat@suse.com
- Blacklist gstreamer-0.10 stack.
* Thu Jun 26 2014 fcrozat@suse.com
- Resync.
* Tue Jun 24 2014 fcrozat@suse.com
- Do not package grub2-branding-* [bnc#883194]
* Tue Jun 17 2014 fcrozat@suse.com
- Resync package lists.
* Mon Jun  2 2014 fcrozat@suse.com
- Resync and do not ship 32bit in the image
* Fri May 16 2014 fcrozat@suse.com
- Resync package lists
* Mon May  5 2014 fcrozat@suse.com
- Resync package lists.
* Tue Apr 29 2014 fcrozat@suse.com
- Resync package lists
* Mon Apr 14 2014 behlert@suse.de
- gnome_cd-default: removed deprecated pm-utils.
* Thu Apr  3 2014 fcrozat@suse.com
- Prevent some bigs packages (libreoffice,
  MozillaFirefox-translations) to be part of the images
* Thu Apr  3 2014 fcrozat@suse.com
- Always build package list for gnome, images are handled in
  SLED-images.
* Thu Apr  3 2014 fcrozat@suse.com
- Do not build gnome image for now, only base and x11
* Wed Apr  2 2014 fcrozat@suse.com
- Do not package patterns in the image
* Wed Apr  2 2014 fcrozat@suse.com
- Do not package sled-release
* Tue Apr  1 2014 fcrozat@suse.com
- Don't build on i586
* Tue Apr  1 2014 fcrozat@suse.com
- Rename foomatic-rip with cups-filters-foomatic-rip
* Tue Apr  1 2014 fcrozat@suse.com
- replace MozillaFirefox-branding-SLED with
  MozillaFirefox-branding-SLE.
* Tue Apr  1 2014 fcrozat@suse.com
- Ensure sled-release is not pulled
- Update generation script for handle blacklist
- Sync packagelist
* Mon Mar 31 2014 fcrozat@suse.com
- Drop compat package from packagelists
* Fri Mar 28 2014 fcrozat@suse.com
- Update packagelist in sync with patterns and SLE12
* Thu Mar 27 2014 fcrozat@suse.com
- Drop libopenjpeg1
* Thu Mar 27 2014 fcrozat@suse.com
- initial package, based on openSUSE one [FATE#316328]
